// Location Reference codes are returned as an array containing one object
interface ReferenceV2_LocationReferenceCodesObject {
    "3ALPHA": string;
    NLC: number;
    NLCDESC: string;
    STANOX: string;
    TIPLOC: string;
    UIC: string;
};

export type ReferenceV2_LocationReferenceCodes = ReferenceV2_LocationReferenceCodesObject[];

// Reason codes are returned as an array containing one object
interface ReferenceV2_ReasonCodeObject {
    code: string;
    lateReason: string;
    cancReason: string;
}

export type ReferenceV2_ReasonCode = ReferenceV2_ReasonCodeObject[]

export type ReferenceV2_LocationReferenceCodeType = "tiploc" | "crs" | "stanox" | "nlc"